Bug 835982 (CVE-2012-2825)

Summary: CVE-2012-2825 libxslt: DoS when reading unexpected DTD nodes in XSLT
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: hhorak, rmillner, tkramer, veillard
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120626,reported=20120627,source=debian,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-4/libxslt=wontfix,rhel-5/libxslt=affected,rhel-6/libxslt=affected,fedora-all/libxslt=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-11-06 11:12:02 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 835983, 852942, 852943, 852945, 852946    
Bug Blocks: 835984, 852939    

Description Vincent Danen 2012-06-27 14:07:40 EDT
The Google Chrome 20 release announcement [1] noted and fixed a flaw in libxslt:

* [$500] [127417] Medium CVE-2012-2825: Wild read in XSL handling. Credit to Nicholas Gregoire.

This has been corrected in the Chromium git repository [2]; the upstream fix is noted as pending.

[1] http://googlechromereleases.blogspot.de/2012/06/stable-channel-update_26.html
[2] http://git.chromium.org/gitweb/?p=chromium/src.git;a=patch;h=bb7bfb81c158268fb242292b7e0fbd2d3b933d09
Comment 2 Vincent Danen 2012-06-27 14:13:44 EDT
Created libxslt tracking bugs for this issue

Affects: fedora-all [bug 835983]
Comment 7 errata-xmlrpc 2012-09-13 13:44:06 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1265 https://rhn.redhat.com/errata/RHSA-2012-1265.html
Comment 9 Fedora Update System 2012-09-26 05:11:32 EDT
libxslt-1.1.26-10.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-09-27 00:26:36 EDT
libxslt-1.1.26-9.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-12-09 01:30:59 EST
libxslt-1.1.27-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Vincent Danen 2013-11-06 11:12:02 EST
Statement:

(none)